#ifndef mainH
#define mainH

#include <windowsx.h>		// makra dla myszki
#include <commctrl.h>		// Tab Control
#pragma comment(lib, "comctl32.lib")
#pragma comment(lib, "Msimg32.lib")		// TransparentBlt

#include <string>
#include <vector>

#define MIN_CY	425		// minimalna wysokosc okna /dla 3 paskow zakladek/
#define MIN_CX	585		// minimalna szerokosc


extern HINSTANCE hInst;
extern TLENPLUGINFUNCTIONS* tlen_functions;
extern HWND hOkno, hTab;

extern int display;

struct tab_info_t {
	int structSize;			// wielko struktury w bajtach
	HWND Handle;			// uchwyt okna
	HWND hMemo;				// uchwyt kontrolki Memo (dla focusowania)
	std::string RoomID;		// id pokoju
	std::string Name;		// nazwa pokoju
	bool Light;				// czy light (podswietlenie taba)
	RECT RcIcon;				// wspolrzedne ikonki 'X' :P
};

typedef std::vector<tab_info_t> vec_tab;
extern vec_tab tab;

void SetTabPosition(int idx);
void SetTabTitle();
void LightItem(int idx, int m=0);

LRESULT CALLBACK DialogProc(HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam);

#endif
