
#include "stdafx.h"
#include "resource.h"

#include "mTabChat.h"
#include "options.h"


char configF[256];
config_t config;


void LoadConfig() {
	TLENFUNCTION func = (TLENFUNCTION)tlen_functions->CallTlenFunction(hInst, TLEN_GET_PROC_ADDRESS, TPA_GET_PROF_INFO, NULL);
	ProfInfoDef* pi = (ProfInfoDef*) func(NULL, NULL);
	strcpy(configF, pi->ProfileDirPath);
	strcat(configF, "mTabChat.ini");

	config.width = GetPrivateProfileInt("window", "width", 730, configF);
	config.height = GetPrivateProfileInt("window", "height", 500, configF);
	config.resize = GetPrivateProfileInt("window", "resize", 1, configF);
	config.alert = GetPrivateProfileInt("other", "alert", 1, configF);

	if (config.width < MIN_CX) config.width = MIN_CX;
	if (config.height < MIN_CY) config.height = MIN_CY;

}

void SaveConfig() {
	char b[10];
	if (config.resize == 1) {
		itoa(config.width, b, 10);
		WritePrivateProfileString("window", "width", b, configF);
		itoa(config.height, b, 10);
		WritePrivateProfileString("window", "height", b, configF);
	}
}
