
#include "stdafx.h"
#include "resource.h"
#include "mTabChat.h"
#include "protocol.h"


HANDLE tlen_hook;
static COLORREF bgColor;
static HBRUSH hBrush;


void AddHook() {
	ProtocolHookDef th;
	InitializeStruct(th);
		th.ProtocolID = PROTOCOL_ID_TLEN;
		th.CallBackFunc = TlenProtocolEvent;
		th.moduleHandle = hInst;
	tlen_hook = (HANDLE) tlen_functions->CallTlenFunction(hInst, TLEN_PROTOCOL_HOOK_EVENT, (WPARAM) &th, NULL);
}

void DelHook() {
	tlen_functions->CallTlenFunction(hInst, TLEN_PROTOCOL_UNHOOK_EVENT, (WPARAM) PROTOCOL_ID_TLEN, (LPARAM) tlen_hook);
}

// obsluga hooka na protokol
static int TlenProtocolEvent(WPARAM wParam, LPARAM lParam) {
	ProtocolEventDef* ev = (ProtocolEventDef*) wParam;
	ProtocolRawDataDef* data = (ProtocolRawDataDef*) lParam;

	switch (ev->EventID) {
		case PROTOCOL_EVENT_AFTERPROCESSEDRECVRAWDATA: {
			// <iq from='115660@c' type='5' n='PHP+Developer%27s+Group' x='23' cn='Internet+i+Komputery'/>
			char buf[5]={0};
			strncpy(buf, data->Data, 4);
			if (strcmp(buf, "<iq ") == 0 && tab.size() > 0)
				SetTabTitle();		// pobierz tytuly i ustaw zakladke
			break;
		}
	}
	return 0;
}
